void  ReadWaterLevelSensor()
{
  //Если сработал датчик 
   if(digitalRead(SensorPin_1)) DolivWater1(true);
   else                         DolivWater1(false);  
   
   if(digitalRead(SensorPin_2)) DolivWater2(true);
   else                         DolivWater2(false);  
   
   if(!digitalRead(SensorPin_A)){DolivWater1(false);DolivWater2(false);}
}

//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

//Датчик расхода воды
void ReadWate()
{
}

//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

//Чтение тепмературного датчика
void ReadDS18B20()
{
   float Temp_Temeratura;
   sensors.requestTemperatures();     
   Temp_Temeratura = sensors.getTempCByIndex(0);   //Читаем температуру воды   
   if((Temperatura_Water+3 >= Temp_Temeratura)&&(Temp_Temeratura >= Temperatura_Water-3)) {Temperatura_Water = Temp_Temeratura; Temperatura_Water_ERROR = false;}
   else Temperatura_Water_ERROR = true;
   
   sensors_2.requestTemperatures();     
   Temp_Temeratura = sensors_2.getTempCByIndex(0);  //Читаем температуру грунта   
   if((Temperatura_Ground+3 >= Temp_Temeratura) && (Temp_Temeratura >= Temperatura_Ground-3)) {Temperatura_Ground = Temp_Temeratura; Temperatura_Ground_ERROR = false;}
   else Temperatura_Ground_ERROR = true;
   
    if(ServicesSTOP)
   {
     //Управление нагревателем воды
     if(Temperatura_Water >= float(TemperaturaMax))   //Если температура воды больше или равна максимальной то  
     {
        TemperVkl = true;                     //Устанавливаем флаг чтобы вытяжка не выключилась по времени
        Cooling(true);     //Включаем охлаждение
        Ventilation(true); //Включаем вытяжку
     }  
         
     if(Temperatura_Water <= TemperaturaSred) //Если температура воды меньше или равна среднего диапазона  то 
     {
        TemperVkl = false;                   //Снимаем флаг передавая управление вытежкой временным командам 
        Cooling(false);     //Выключаем охлаждене
        if(!(EEPROM.read((((tm.Hour*60)+tm.Minute)*2)+1) & 16)) Ventilation(false); //Выключаем вытяжку если она не включена по времени
     }     

     if(Temperatura_Water <= float(TemperaturaMin)) //Если температура воды меньше или равна минимальной то 
     {
        //Включаем нагреватель если не производится слив
        if(SLIV_NAGREV) NagrevWater(true); 
        else            NagrevWater(false);
     }      

     if(Temperatura_Water >= TemperaturaSred) //Если температура воды больше или равна среднего диапазона то 
     {
        NagrevWater(false);  //Выключаем нагреватель
     }      
      
     //Управление нагревателем грунта (держим температуру грунта на 1 градус выше чем температура воды)
     float Temp_Ground_ON  = Temperatura_Water + 0.5;
     float Temp_Ground_OFF = Temperatura_Water + 1;
     if(Temperatura_Ground <= Temp_Ground_ON) //Если температура грунта меньше или равна температуре воды+0.5 градус то 
     {
        NagrevGround(true);  //Включаем нагреватель грунта
     }     

     if(Temperatura_Ground >= Temp_Ground_OFF) //Если температура грунта больше или равна температуре воды+1.5 то 
     {
        NagrevGround(false); //Выключаем нагреватель грунта
     }     
   
    if(HellowProg) //Если установлено соединение с программой то отправляем температуру 
    {
      char buf[10];
      int temp;

      BuffSendUDP[0] = 'T'; //Имя параметра
      //Отправляем температуру воды
      temp = Temperatura_Water *100.0; //Переводим в целое число
      itoa(temp, buf, 10);         //Переводим в строку
      BuffSendUDP[1] = buf[0];
      BuffSendUDP[2] = buf[1];
      BuffSendUDP[3] = buf[2];
      BuffSendUDP[4] = buf[3];

      //Отправляем температуру  грунта
      temp = Temperatura_Ground *100.0;  //Переводим в целое число
      itoa(temp, buf, 10);     //Переводим в строку
      BuffSendUDP[5] = buf[0];
      BuffSendUDP[6] = buf[1];
      BuffSendUDP[7] = buf[2];
      BuffSendUDP[8] = buf[3];

      //Отправляем допуск температуры
      itoa(TemperaturaMin, buf, 10);     //Переводим в строку
      BuffSendUDP[9]  = buf[0];
      BuffSendUDP[10] = buf[1];
     
      itoa(TemperaturaMax, buf, 10);     //Переводим в строку
      BuffSendUDP[11] = buf[0];
      BuffSendUDP[12] = buf[1];
     
      if(!digitalRead( RelePin_5 )) BuffSendUDP[13] = '1';    //Нагреватель воды
      else                          BuffSendUDP[13] = '0';    //Нагреватель воды

      if(!digitalRead( RelePin_8 )) BuffSendUDP[14] = '1';    //Нагреватель грунта
      else                          BuffSendUDP[14] = '0';    //Нагреватель грунта

      if(digitalRead( Cooling_Pin )) BuffSendUDP[15] = '1';    //Охлаждение воды
      else                           BuffSendUDP[15] = '0';    //Охлаждение воды

      if(!digitalRead( RelePin_11 )) BuffSendUDP[16] = '1';    //СО2
      else                           BuffSendUDP[16] = '0';    //СО2

      if(digitalRead( Ventilation_Pin )) BuffSendUDP[17] = '1';    //
      else                               BuffSendUDP[17] = '0';    //

      if(!digitalRead( RelePin_7 ))  BuffSendUDP[18] = '1';    //
      else                           BuffSendUDP[18] = '0';    //

      BuffSendUDP[19] = '\x0';

      SendUDPMessage(BuffSendUDP); //Отправляем
      
      BuffSendUDP[0] = 'R';   
      itoa((int)(FlowRate*4.8), buf, 10);     //Переводим в строку
      BuffSendUDP[1] = buf[0];
      BuffSendUDP[2] = buf[1];
      BuffSendUDP[3] = buf[2];
      BuffSendUDP[4] = '\x0';
      SendUDPMessage(BuffSendUDP); //Отправляем
    }
  }
}

//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

