void SetMessage(int TimeOld)
{
  byte Reg1, Reg2;
if(!SLIV)
{

  Reg1 = EEPROM.read(TimeOld*2);     //Читаем первый байт таблици соответствующий времени TimeOld
  Reg2 = EEPROM.read((TimeOld*2)+1); //Читаем второй байт таблици соответствующий времени TimeOld

  for(int i = TimeOld; i < 1440;i++) //Перебираем таблицу начиная с текщего времени TimeOld до 24часов
  {
      switch(EEPROM.read((i*2)+1) ^ Reg2) //Ищим изменения второго байта если изменений нет то пропускаем
      {
        case 1:    //Если изменил свое состояние первый бит то выводим сответствующие событие (Канал 1) 
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку 
          if(EEPROM.read((i*2)+1) &1) lcd.print(String("CBET 1 ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                       lcd.print(String("CBET 1 OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 2:    //Если изменил свое состояние второй бит то выводим сответствующие событие (Канал 2)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)+1) &2) lcd.print(String("CBET 2 ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                       lcd.print(String("CBET 2 OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 4:    //Если изменил свое состояние третий бит то выводим сответствующие событие (Канал 3)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)+1) &4) lcd.print(String("CBET 3 ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                       lcd.print(String("CBET 3 OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 8:    //Если изменил свое состояние чентвертый бит то выводим сответствующие событие (Канал 4)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)+1) & 8) lcd.print(String("CBET 4 ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                        lcd.print(String("CBET 4 OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 16:    //Если изменил свое состояние пятый бит то выводим сответствующие событие (Канал 5)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)+1) & 16) lcd.print(String("VENTIL ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                         lcd.print(String("VENTIL OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 32:    //Если изменил свое состояние шестой бит то выводим сответствующие событие (Канал 6)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)+1) & 32) lcd.print(String("FILTR  ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                         lcd.print(String("FILTR  OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 64:    //Если изменил свое состояние седьмой бит то выводим сответствующие событие (Канал 7)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)+1) & 64) lcd.print(String("VOZDUX ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                         lcd.print(String("VOZDUX OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 128:    //Если изменил свое состояние восьмой бит то выводим сответствующие событие (Канал 8)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)+1) & 128) lcd.print(String("CO2    ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                          lcd.print(String("CO2    OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
      }
      switch(EEPROM.read((i*2)) ^ Reg1)//Ищим изменения первого байта если изменений нет то пропускаем
      {
        case 1:    //Если изменил свое состояние первый бит то выводим сответствующие событие (Канал 9)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)) &1) lcd.print(String("KORM.      "));  //если бит меняется с 0 на 1 то вклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 2:    //Если изменил свое состояние второй бит то выводим сответствующие событие (Канал 10)
        { 
           byte Dn =  EEPROM.read(2887);
           byte M;

          if(WDAY == 1) M = 1;   //Определяем для каналов маску 00000001
          if(WDAY == 2) M = 2;   //Определяем для каналов маску 00000010
          if(WDAY == 3) M = 4;   //Определяем для каналов маску 00000100
          if(WDAY == 4) M = 8;   //Определяем для каналов маску 00001000
          if(WDAY == 5) M = 16;  //Определяем для каналов маску 00010000
          if(WDAY == 6) M = 32;  //Определяем для каналов маску 00100000
          if(WDAY == 7) M = 64;  //Определяем для каналов маску 01000000
          if(Dn & M)
          {
            lcd.setCursor(0, 1); //Очищаем вторую строку
            if(EEPROM.read((i*2)) &2) lcd.print(String("CLIV  ON   "));  //если бит меняется с 0 на 1 то вклучение
            else                     lcd.print(String("CLIV  OFF  "));  //если бит меняется с 1 на 0 то выклучение
            lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
            lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          }  
          return;
        }
        case 4:    //Если изменил свое состояние третий бит то выводим сответствующие событие (Канал 11)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)) &4) lcd.print(String("UDOBR 1  ON"));  //если бит меняется с 0 на 1 то вклучение
          else                      lcd.print(String("UDOBR 1 OFF"));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 8:    //Если изменил свое состояние первый бит то выводим сответствующие событие (Канал 12)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)) &8) lcd.print(String("UDOBR 2  ON"));  //если бит меняется с 0 на 1 то вклучение
          else                      lcd.print(String("UDOBR 2 OFF"));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 16:    //Если изменил свое состояние первый бит то выводим сответствующие событие (Канал 13)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)) &16) lcd.print(String("13     ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                      lcd.print(String("13     OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 32:    //Если изменил свое состояние первый бит то выводим сответствующие событие (Канал 14)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)) &32) lcd.print(String("14     ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                      lcd.print(String("14     OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 64:    //Если изменил свое состояние первый бит то выводим сответствующие событие (Канал 15)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)) &64) lcd.print(String("15     ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                      lcd.print(String("15     OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 128:    //Если изменил свое состояние третий бит то выводим сответствующие событие (Канал 16)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)) &128) lcd.print(String("16     ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                       lcd.print(String("16     OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
      }
    }
    //Если нет событий ищем после полуночи
   for(int i = 0; i < 1439;i++) //Перебираем таблицу начиная с текщего времени TimeOld до 24часов
   {
      switch(EEPROM.read((i*2)+1) ^ Reg2) //Ищим изменения второго байта если изменений нет то пропускаем
      {
        case 1:    //Если изменил свое состояние первый бит то выводим сответствующие событие (Канал 1) 
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку 
          if(EEPROM.read((i*2)+1) &1) lcd.print(String("CBET 1 ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                       lcd.print(String("CBET 1 OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 2:    //Если изменил свое состояние второй бит то выводим сответствующие событие (Канал 2)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)+1) &2) lcd.print(String("CBET 2 ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                       lcd.print(String("CBET 2 OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 4:    //Если изменил свое состояние третий бит то выводим сответствующие событие (Канал 3)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)+1) &4) lcd.print(String("CBET 3 ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                       lcd.print(String("CBET 3 OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 8:    //Если изменил свое состояние чентвертый бит то выводим сответствующие событие (Канал 4)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)+1) & 8) lcd.print(String("CBET 4 ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                        lcd.print(String("CBET 4 OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 16:    //Если изменил свое состояние пятый бит то выводим сответствующие событие (Канал 5)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)+1) & 16) lcd.print(String("VENTIL ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                         lcd.print(String("VENTIL OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 32:    //Если изменил свое состояние шестой бит то выводим сответствующие событие (Канал 6)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)+1) & 32) lcd.print(String("FILTR  ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                         lcd.print(String("FILTR  OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 64:    //Если изменил свое состояние седьмой бит то выводим сответствующие событие (Канал 7)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)+1) & 64) lcd.print(String("VOZDUX ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                         lcd.print(String("VOZDUX OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 128:    //Если изменил свое состояние восьмой бит то выводим сответствующие событие (Канал 8)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)+1) & 128) lcd.print(String("CO2    ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                          lcd.print(String("CO2    OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
      }
      switch(EEPROM.read((i*2)) ^ Reg1)//Ищим изменения первого байта если изменений нет то пропускаем
      {
        case 1:    //Если изменил свое состояние первый бит то выводим сответствующие событие (Канал 9)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)) &1) lcd.print(String("KORM.      "));  //если бит меняется с 0 на 1 то вклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 2:    //Если изменил свое состояние второй бит то выводим сответствующие событие (Канал 10)
        { 
           byte Dn =  EEPROM.read(2887);
           byte M;

          if(WDAY == 1) M = 1;   //Определяем для каналов маску 00000001
          if(WDAY == 2) M = 2;   //Определяем для каналов маску 00000010
          if(WDAY == 3) M = 4;   //Определяем для каналов маску 00000100
          if(WDAY == 4) M = 8;   //Определяем для каналов маску 00001000
          if(WDAY == 5) M = 16;  //Определяем для каналов маску 00010000
          if(WDAY == 6) M = 32;  //Определяем для каналов маску 00100000
          if(WDAY == 7) M = 64;  //Определяем для каналов маску 01000000
          if(Dn & M)
          {
            lcd.setCursor(0, 1); //Очищаем вторую строку
            if(EEPROM.read((i*2)) &2) lcd.print(String("CLIV  ON   "));  //если бит меняется с 0 на 1 то вклучение
            else                     lcd.print(String("CLIV  OFF  "));  //если бит меняется с 1 на 0 то выклучение
            lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
            lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          }  
          return;
        }
        case 4:    //Если изменил свое состояние третий бит то выводим сответствующие событие (Канал 11)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)) &4) lcd.print(String("UDOBR 1  ON"));  //если бит меняется с 0 на 1 то вклучение
          else                     lcd.print(String("UDOBR 1  OFF"));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 8:    //Если изменил свое состояние первый бит то выводим сответствующие событие (Канал 12)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)) &8) lcd.print(String("UDOBR 2  ON"));  //если бит меняется с 0 на 1 то вклучение
          else                     lcd.print(String("UDOBR 2  OFF"));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 16:    //Если изменил свое состояние первый бит то выводим сответствующие событие (Канал 13)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)) &16) lcd.print(String("13     ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                      lcd.print(String("13     OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 32:    //Если изменил свое состояние первый бит то выводим сответствующие событие (Канал 14)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)) &32) lcd.print(String("14     ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                      lcd.print(String("14     OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 64:    //Если изменил свое состояние первый бит то выводим сответствующие событие (Канал 15)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)) &64) lcd.print(String("15     ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                      lcd.print(String("15     OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
        case 128:    //Если изменил свое состояние третий бит то выводим сответствующие событие (Канал 16)
        { 
          lcd.setCursor(0, 1); //Очищаем вторую строку
          if(EEPROM.read((i*2)) &128) lcd.print(String("16     ON  "));  //если бит меняется с 0 на 1 то вклучение
          else                       lcd.print(String("16     OFF "));  //если бит меняется с 1 на 0 то выклучение
          lcd.setCursor(11, 1); //Очищаем часть экрана где выводится время след события
          lcd.print(String(print2digits(int(i/60))) + String(':') + String(print2digits(i - (int(i/60)*60)))); //Выводим время следующего события
          return;
        }
      }
    }
 } 
}
